#pragma once

#include <QDialog>
#include <QString>
namespace Ui {
class CDlgParam_Alter;
}

class CDlgParam_Alter : public QDialog
{
    Q_OBJECT

public:
    explicit CDlgParam_Alter(const int& value, QWidget *parent = 0);
    ~CDlgParam_Alter();

	const QString& getValue() { return m_sValue; }
    
private slots:
    void on_pushButton_OK_clicked();

    void on_pushButton_Cancel_clicked();

private:
    Ui::CDlgParam_Alter *ui;
	QString m_sValue;
protected:
	virtual void showEvent(QShowEvent *);

};

